Marketing Channels API
Use the Analytics 2.0 Marketing Channels API endpoint to retrieve the marketing channels configured for one or more report suites.
Marketing channels are created in Adobe Analysis Workspace but can be identified in report suites with this endpoint. For more information regarding marketing channels, see the Marketing channels overview.
The endpoint described in this guide is routed through analytics.adobe.io. To use it, you must first create a client with access to the Adobe Developer Console. For more information, see Getting started with the Analytics API.
data-variant=info
data-slots=text
POST marketing channels
Use the following URI path for this endpoint:
POST https://analytics.adobe.io/api/{GLOBAL_COMPANY_ID}/marketingchannels
Although this endpoint retrieves data, it uses the POST method so that a list of report suite IDs can be supplied in the request body. It does not create or modify marketing channels.
Request and Response Examples
Click the Request tab in the following example to see a cURL request for this endpoint. Click the Response tab to see a successful JSON response for the request.
data-slots=heading, code
data-repeat=2
data-languages=CURL,JSON
Request
curl -X 'POST' \
"https://analytics.adobe.io/api/{GLOBAL_COMPANY_ID}/marketingchannels" \
-H "accept: application/json" \
-H "x-api-key: {CLIENT_ID}" \
-H "Authorization: Bearer {ACCESS_TOKEN}" \
-H "Content-Type: application/json" \
-d '{
"rsidList": [
"examplersid"
]
}'
Response
[
{
"rsid": "examplersid",
"marketingChannels": [
{
"channelId": 1,
"name": "Paid Search",
"enabled": true,
"type": "online",
"color": "0F59A9",
"channelBreakdown": 0,
"overrideLastTouchChannel": false
},
{
"channelId": 2,
"name": "Natural Search",
"enabled": true,
"type": "online",
"color": "E07804",
"channelBreakdown": 0,
"overrideLastTouchChannel": false
},
{
"channelId": 6,
"name": "Direct",
"enabled": true,
"type": "online",
"color": "056F73",
"channelBreakdown": 0,
"overrideLastTouchChannel": true
}
]
}
]
Request example details
The example above requests the marketing channels configured for the examplersid report suite ID. To retrieve marketing channels for multiple report suites in a single call, add additional IDs to the rsidList array.
Response example details
The example above returns the marketing channels for the requested report suite:
- Each item in the response corresponds to one report suite from the
rsidList, identified by itsrsid. - The
marketingChannelsarray lists each channel configured for that report suite. - Each channel includes its
channelId, displayname, and whether it isenabled. - The
colorvalue is the hexadecimal code (without a leading#) used to represent the channel in the interface. overrideLastTouchChannelindicates whether the channel overrides the last-touch channel in attribution.
Request Parameters
The POST marketing channels endpoint accepts the following request body parameter:
rsidListResponse Parameters
The following table describes the POST marketing channels response parameters:
rsidmarketingChannelschannelIdnameenabledtypeonline).color#) used to display the channel in the interfacechannelBreakdownoverrideLastTouchChannelStatus codes
Each API request returns an HTTP status code that reflects the result, as follows:
rsidList is required and must be non-empty.